unicrud(6)

NAME
unicrud - Bounces a random Unicode character on the screen.

SYNOPSIS
unicrud [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-speed number] [-block string] [-no-titles] [-no-wander] [-no-roll] [-fps]

DESCRIPTION
Chooses a random Unicode character and displays it full screen, along with some information about it. https://en.wikipedia.org/wiki/Unicode

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

-speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

-titles | -no-titles
    Whether to describe the character being shown. Default true.

-wander | -no-wander
    Whether the object should wander around the screen.

-roll | -no-roll
    Whether the object should rotate. Boolean.

-block string
    Which block or blocks of Unicode characters to display. Default: "all". Use -block help to see the full list.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2016 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.